MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003687ATutorPatcherpublic2009-01-05 11:142009-07-21 08:49
Reportercindy 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.2 
Target VersionFixed in Version1.6.3 
Summary0003687: Installing a patch always gives "script is locally modified" even if the script is not touched
DescriptionSomething wrong with the comparison between the local file and the according SVN version branch file
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003453)
cindy (administrator)
2009-01-06 05:05

SVN Revision: 8296

Affected script: mods/_standard/patcher/classes/Patch.class.php

Use file_get_contents() instead of file_exists() to check if svn file exists. file_exists() doesn't apply to remote files.
(0003454)
cindy (administrator)
2009-01-06 08:10

Patch 0008 on 1.6.2 has been issued for this fix.

- Issue History
Date Modified Username Field Change
2009-01-05 11:14 cindy New Issue
2009-01-05 11:14 cindy Affects version => SVN
2009-01-06 05:05 cindy Status new => resolved
2009-01-06 05:05 cindy Fixed in Version => 1.6.2
2009-01-06 05:05 cindy Resolution open => fixed
2009-01-06 05:05 cindy Assigned To => cindy
2009-01-06 05:05 cindy Note Added: 0003453
2009-01-06 08:10 cindy Status resolved => feedback
2009-01-06 08:10 cindy Resolution fixed => reopened
2009-01-06 08:10 cindy Status feedback => resolved
2009-01-06 08:10 cindy Resolution reopened => fixed
2009-01-06 08:10 cindy Note Added: 0003454
2009-06-12 09:30 greg Status resolved => new
2009-06-12 09:34 greg Status new => resolved
2009-06-12 09:34 greg Fixed in Version 1.6.2 => 1.6.3
2009-07-21 08:49 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker